user  nginx;
worker_processes  1;

error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    sendfile        on;
    keepalive_timeout  65;

    server {
        listen  80 default_server;
        # server_name  localhost;

        root   /usr/share/nginx/html;
        index  index.html;



        location /api/ {
         rewrite ^/api/(.*)$ /$1 break;
         proxy_pass http://shattered_kingdom_api:3000/;
         proxy_set_header Host $host;
         proxy_set_header X-Real-IP $remote_addr;
        }

        location / {
        try_files $uri$args $uri$args/ /index.html;
        }

        # Caching für Assets (z. B. /assets/)
        location ~* \.(?:ico|css|js|gif|jpe?g|png|woff2?|eot|ttf|svg)$ {
            root /usr/share/nginx/html;
            access_log off;
            add_header Cache-Control "public, max-age=31536000, immutable";
        }


        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   /usr/share/nginx/html;
        }
    }
}